## bootp 2.4.3

=== Makefile ===
#
# Makefile for the BOOTP programs:
#   bootpd	- BOOTP server daemon
#   bootpef	- BOOTP extension file builder
#   bootpgw	- BOOTP gateway daemon
#   bootptest	- BOOTP tester (client)
#

# OPTion DEFinitions:
# Remove the -DVEND_CMU if you don't wish to support the "CMU vendor format"
# in addition to the RFC1048 format.  Leaving out DEBUG saves little.
OPTDEFS= -DSYSLOG -DVEND_CMU -DDEBUG

# Uncomment and edit this to choose the facility code used for syslog.
# LOG_FACILITY= "-DLOG_BOOTP=LOG_LOCAL2"

# SYStem DEFinitions:
# Either uncomment some of the following, or do:
#	"make sunos4"	(or "make sunos5", etc.)
# SYSDEFS= -DSUNOS -DETC_ETHERS
# SYSDEFS= -DSVR4
# SYSLIBS= -lsocket -lnsl

# Uncomment this if your system does not provide streror(3)
# STRERROR=strerror.o

# FILE DEFinitions:
# The next few lines may be uncommented and changed to alter the default
# filenames bootpd uses for its configuration and dump files.
#CONFFILE= -DCONFIG_FILE=\"/usr/etc/bootptab\"
#DUMPFILE= -DDUMPTAB_FILE=\"/usr/etc/bootpd.dump\"
#FILEDEFS= $(CONFFILE) $(DUMPFILE)

# MORE DEFinitions (whatever you might want to add)
# One might define NDEBUG (to remove "assert()" checks).
MOREDEFS=

INSTALL=/usr/bin/install
DESTDIR=
BINDIR=/usr/etc
MANDIR=/usr/local/man

CFLAGS= $(OPTDEFS) $(SYSDEFS) $(FILEDEFS) $(MOREDEFS)
PROGS= bootpd bootpef bootpgw bootptest
TESTS= trylook trygetif trygetea

all: $(PROGS) $(TESTS)

system: install

install: $(PROGS)
	-for f in $(PROGS) ;\
	do \
		$(INSTALL) -c -s $$f $(DESTDIR)$(BINDIR) ;\
	done

MAN5= bootptab.5
MAN8= bootpd.8 bootpef.8 bootptest.8
install.man: $(MAN5) $(MAN8)
	-for f in $(MAN5) ;\
	do \
		$(INSTALL) -c -m 644 $$f $(DESTDIR)$(MANDIR)/man5 ;\
	done
	-for f in $(MAN8) ;\
	do \
		$(INSTALL) -c -m 644 $$f $(DESTDIR)$(MANDIR)/man8 ;\
	done

clean:
	-rm -f core *.o
	-rm -f $(PROGS) $(TESTS)

distclean:
	-rm -f *.BAK *.CKP *~ .emacs*

#
# Handy targets for systems needing special treatment:
# (Most POSIX systems should work with just "make all")
#

# DEC/OSF1 on the Alpha
alpha:
	$(MAKE) SYSDEFS="-DETC_ETHERS -Dint32=int -D_SOCKADDR_LEN" \
		STRERROR=strerror.o

# Control Data EP/IX 1.4.3 system, BSD 4.3 mode
epix143:
	$(MAKE) CC="cc -systype bsd43" \
		SYSDEFS="-Dconst= -D_SIZE_T -DNO_UNISTD -DUSE_BFUNCS" \
		STRERROR=strerror.o

# Control Data EP/IX 2.1.1 system, SVR4 mode
epix211:
	$(MAKE) CC="cc -systype svr4" \
		SYSDEFS="-DSVR4" \
		SYSLIBS="-lsocket -lnsl"

# IRIX 5.X (Silicon Graphics)
irix:
	$(MAKE) SYSDEFS= SYSLIBS=

# Linux 1.1.80+ on [34]86
linux:
	$(MAKE) SYSDEFS="-O6 -Wall -fomit-frame-pointer"

# SunOS 4.X
sunos4:
	$(MAKE) SYSDEFS="-DSUNOS -DETC_ETHERS" \
		STRERROR=strerror.o

# Solaris 2.X (i.e. SunOS 5.X)
sunos5:
	$(MAKE) SYSDEFS="-DSVR4 -DETC_ETHERS" \
		SYSLIBS="-lsocket -lnsl"

# Solaris 2.X (i.e. SunOS 5.X) with GCC.  Note that GCC normally
# defines __STDC__=1 which breaks many Solaris header files...
sunos5gcc:
	$(MAKE) SYSDEFS="-DSVR4 -DETC_ETHERS -D__STDC__=0" \
		SYSLIBS="-lsocket -lnsl" CC="gcc -Wall"

# UNIX System V Rel. 3
svr3:
	$(MAKE) SYSDEFS="-DSYSV"

# UNIX System V Rel. 4
svr4:
	$(MAKE) SYSDEFS="-DSVR4" \
		SYSLIBS="-lsocket -lnsl"

# AT&T/GIS - Both AT&T StarServer and NCR 3000
# may work for others using Wollongong's WIN-TCP
wollongong gis :
	$(MAKE) SYSDEFS="-DSVR4 -DWIN_TCP" \
		SYSLIBS="-lsocket -lnsl"

#
# How to build each program:
#

OBJ_D=	bootpd.o dovend.o readfile.o hash.o dumptab.o \
	 lookup.o getif.o hwaddr.o tzone.o report.o $(STRERROR)
bootpd: $(OBJ_D)
	$(CC) -o $@ $(OBJ_D) $(SYSLIBS)

OBJ_EF=	bootpef.o dovend.o readfile.o hash.o dumptab.o \
	 lookup.o hwaddr.o tzone.o report.o $(STRERROR)
bootpef: $(OBJ_EF)
	$(CC) -o $@ $(OBJ_EF) $(SYSLIBS)

OBJ_GW= bootpgw.o getif.o hwaddr.o report.o $(STRERROR)
bootpgw: $(OBJ_GW)
	$(CC) -o $@ $(OBJ_GW) $(SYSLIBS)

OBJ_TEST= bootptest.o print-bootp.o getif.o getether.o \
	 report.o $(STRERROR)
bootptest: $(OBJ_TEST)
	$(CC) -o $@ $(OBJ_TEST) $(SYSLIBS)

# This is just for testing the lookup functions.
TRYLOOK= trylook.o lookup.o report.o $(STRERROR)
trylook : $(TRYLOOK)
	$(CC) -o $@ $(TRYLOOK) $(SYSLIBS)

# This is just for testing getif.
TRYGETIF= trygetif.o getif.o report.o $(STRERROR)
trygetif : $(TRYGETIF)
	$(CC) -o $@ $(TRYGETIF) $(SYSLIBS)

# This is just for testing getether.
TRYGETEA= trygetea.o getether.o report.o $(STRERROR)
trygetea : $(TRYGETEA)
	$(CC) -o $@ $(TRYGETEA) $(SYSLIBS)

# This rule just keeps the LOG_BOOTP define localized.
report.o : report.c
	$(CC) $(CFLAGS) $(LOG_FACILITY) -c $<

# Punt SunOS -target noise
.c.o:
	$(CC) $(CFLAGS) -c $<

#
# Header file dependencies:
#

bootpd.o  : bootp.h bptypes.h hash.h hwaddr.h bootpd.h dovend.h
bootpd.o  : readfile.h report.h tzone.h patchlevel.h getif.h
bootpef.o : bootp.h bptypes.h hash.h hwaddr.h bootpd.h dovend.h
bootpef.o : readfile.h report.h tzone.h patchlevel.h
bootpgw.o : bootp.h bptypes.h getif.h hwaddr.h report.h patchlevel.h
bootptest.o : bootp.h bptypes.h bootptest.h getif.h patchlevel.h
dovend.o : bootp.h bptypes.h bootpd.h hash.h hwaddr.h report.h dovend.h
dumptab.o : bootp.h bptypes.h hash.h hwaddr.h report.h patchlevel.h bootpd.h
getif.o : getif.h report.h
hash.o : hash.h
hwaddr.o : bptypes.h hwaddr.h report.h
lookup.o : bootp.h bptypes.h lookup.h report.h
print-bootp.o : bootp.h bptypes.h bootptest.h
readfile.o : bootp.h bptypes.h hash.h hwaddr.h lookup.h readfile.h
readfile.o : report.h tzone.h bootpd.h
report.o : report.h
tzone.o : bptypes.h report.h tzone.h

=== debian/changelog ===
bootp (2.4.3-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999072)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 22:17:44 +0200

bootp (2.4.3-19) unstable; urgency=medium

  * Source format is 3.0 (quilt)
  * Fix bootp: Conflicting declarations of insert_ip to cause undefined behaviour
    Add insert_ip-conflicting-declarations.patch
    Closes: #749613

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 08 Jul 2020 22:40:44 -0500

bootp (2.4.3-18) unstable; urgency=low

  * Standards Version is 3.8.2
  * DH compatibility level is 7
  * Fix debian-rules-ignores-make-clean-error
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 02 Jul 2009 09:10:04 +1000

bootp (2.4.3-17) unstable; urgency=low

  * Acknowledge NMU. Closes: #416670.
  * Synchronise with ubuntu.
  * Fixed bootpd man page typos. Closes: #383118.
    Patch by A. Costa <agcosta@gis.net>
  * Fixed the following lintian message:
    - bootp source: debian-rules-sets-DH_COMPAT line 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 19 May 2007 16:58:24 +1000

bootp (2.4.3-16.1) unstable; urgency=low

  * Non-maintainer upload during BSP.
  * Depend on update-inetd for postrm.
  * conditional call of update-inetd in postrm. (Closes: #416670)

 -- Martin Zobel-Helas <zobel@debian.org>  Thu, 17 May 2007 12:10:15 +0200

bootp (2.4.3-16ubuntu1) feisty; urgency=low

  * debian/control: Add update-inetd to bootp's dependencies
     (Closes Ubuntu: #76008).

 -- Lionel Porcheron <lionel@alveonet.org>  Sat, 16 Dec 2006 15:46:30 +0100

bootp (2.4.3-16) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Fixed "diff-contains-substvars debian/substvars".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 25 Jun 2006 15:36:34 +1000

bootp (2.4.3-15) unstable; urgency=low

  * Fixed "it says it does DHCPOFFER, but doesn't", closes: #282915.
    Patch thanks to Petr Olivka <petr.olivka@vsb.cz>.
  * Set DH_COMPAT to 4.
  * Added watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 18 Feb 2006 09:12:21 +1100

bootp (2.4.3-14) unstable; urgency=low

  * Set Standards-Version to 3.6.2 and added homepage to description.
  * Fixed lintian warning "maintainer-script-needs-depends-on-netbase
    {postinst,prerm,postrm}".
  * Fixed lintian warning "package-uses-deprecated-debhelper-compat-
    version 1".
  * Fixed lintian error "duplicate-conffile /etc/bootptab".
  * Fixed linda error "DH_COMPAT is greater than the major version
    of debhelper depended on".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 24 Nov 2005 18:58:37 +1100

bootp (2.4.3-13) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Feb 2005 21:56:46 +1100

bootp (2.4.3-12) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 08:57:34 +1000

bootp (2.4.3-11) unstable; urgency=low

  * Removed build-stamp/install-stamp.
  * Included errnor.h/string.h in report.c (closes: #219123).
  * Use fd_set instead int for select.
  * Removed reference to netstd.

 -- Herbert Xu <herbert@debian.org>  Wed,  5 Nov 2003 19:52:40 +1100

bootp (2.4.3-10) unstable; urgency=low

  * Ensure that vendor area is at least 64 bytes long (closes: #189256).

 -- Herbert Xu <herbert@debian.org>  Wed, 16 Apr 2003 20:23:53 +1000

bootp (2.4.3-9) unstable; urgency=low

  * Documented ms tag in manual page.
  * Eliminated baroque padding in response packets (closes: #184300).

 -- Herbert Xu <herbert@debian.org>  Fri, 28 Mar 2003 19:26:06 +1100

bootp (2.4.3-8) unstable; urgency=low

  * Added note about modifying configuration files (closes: #136057).

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Apr 2002 18:12:41 +1000

bootp (2.4.3-7) unstable; urgency=low

  * Compile with ETC_ETHERS (closes: #112223).

 -- Herbert Xu <herbert@debian.org>  Sun, 16 Sep 2001 15:47:28 +1000

bootp (2.4.3-6) unstable; urgency=low

  * Make directed broadcasts if possible (closes: #108691).

 -- Herbert Xu <herbert@debian.org>  Thu, 30 Aug 2001 21:15:43 +1000

bootp (2.4.3-5) unstable; urgency=low

  * Fixed typo in bootpd (closes: #83618).
  * Added build-time dependencies (closes: #70171).
  * Compile with -g and without -fomit-frame-pointer -pipe.  Omitting the
    frame pointer makes the code 10% larger.
  * Fixed the unaligned access properly.

 -- Herbert Xu <herbert@debian.org>  Fri, 27 Apr 2001 22:35:58 +1000

bootp (2.4.3-4) unstable; urgency=low

  * Fixed unaligned trap on Alpha (David Huggins-Daines, closes #64552).

 -- Herbert Xu <herbert@debian.org>  Wed, 24 May 2000 11:41:50 +1000

bootp (2.4.3-3) frozen unstable; urgency=low

  * Use int32_t/u_int32_t instead of locally defined int32/u_int32 which
    always turns out to be long.  This is needed for bootpd to work on 64 bit
    platforms like the Alpha.
  * Made compliant with policy 3.1.1.

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Apr 2000 19:41:18 +1000

bootp (2.4.3-2) unstable; urgency=low

  * Better hostname comparison (fixes #37543).
  * Dump file is now in /var/run.

 -- Herbert Xu <herbert@debian.org>  Tue,  7 Sep 1999 23:19:34 +1000

bootp (2.4.3-1) unstable; urgency=low

  * Split from netstd.

 -- Herbert Xu <herbert@debian.org>  Mon, 15 Mar 1999 12:18:40 +1100

=== debian/control ===
Source: bootp
Section: net
Priority: extra
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7)
Homepage: ftp://ftp.ntplx.net/pub/networking/bootp/

Package: bootp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, update-inetd
Description: server for the bootp protocol with DHCP support
 This is a server for the bootp protocol; which allows network administrator
 to setup networking information for clients via an /etc/bootptab on a server
 so that the clients can automatically get their networking information.  While
 this server includes rudimentary DHCP support as well, we suggest using the
 dhcp package if you need DHCP support, as it is much more complete.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Copyright (C) 2004-2009 Anibal Monsalve Salazar <anibal@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build:
	dh_testdir

	$(MAKE) SYSDEFS=-DETC_ETHERS

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean debian/substvars

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) BASEDIR=`pwd`/debian/bootp install
	cp debian/bootptab debian/bootp/etc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs Changes
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
ftp://ftp.ntplx.net/pub/networking/bootp/bootp-([0-9.]+).tar.gz
